'use strict';

var Joi = require('joi');
var index = require('../resources/index.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Joi__default = /*#__PURE__*/_interopDefaultLegacy(Joi);

var Gateway = [
  {
    method: '*',
    path: '/ipfs/{path*}',
    options: {
      handler: index.gateway.handler,
      validate: { params: Joi__default["default"].object({ path: Joi__default["default"].string().required() }) },
      response: { ranges: false },
      ext: { onPostHandler: { method: index.gateway.afterHandler } }
    }
  },
  {
    method: '*',
    path: '/ipns/{path*}',
    options: {
      handler: index.gateway.handler,
      validate: { params: Joi__default["default"].object({ path: Joi__default["default"].string().required() }) },
      response: { ranges: false },
      ext: { onPostHandler: { method: index.gateway.afterHandler } }
    }
  }
];

module.exports = Gateway;
