export class HttpGateway {
    /**
     * @param {IPFS} ipfs
     */
    constructor(ipfs: IPFS);
    _ipfs: import("ipfs-core-types").IPFS<any>;
    _log: debug.Debugger & {
        error: debug.Debugger;
    };
    /** @type {Server[]} */
    _gatewayServers: Server[];
    start(): Promise<void>;
    /**
     * @param {string} host
     * @param {string} port
     * @param {IPFS} ipfs
     */
    _createGatewayServer(host: string, port: string, ipfs: IPFS): Promise<Hapi.Server>;
    stop(): Promise<void>;
}
export type IPFS = import('ipfs-core-types').IPFS;
export type Server = import('./types').Server;
import debug from "debug";
import Hapi from "@hapi/hapi";
//# sourceMappingURL=index.d.ts.map